Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Overlay (Part 6)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 24, 25, 26, 27, 28  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
madcat87
Tux's lil' helper
Tux's lil' helper


Joined: 11 Aug 2005
Posts: 120

PostPosted: Sat Sep 06, 2008 4:51 pm    Post subject: Reply with quote

From quite a while now session locking in KDE isn't working.Is this some configuration problem or is it just currently broken ?
Back to top
View user's profile Send private message
chh
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2002
Posts: 131
Location: Germany

PostPosted: Sat Sep 06, 2008 6:56 pm    Post subject: Reply with quote

Hi,

I use the kdesvn-portage overlay for some time now and I am quite happy.
Today I updated the overlay for the first time for several weeks.
Now emerge -u world wants to pull both kde-4.1.1 and kde-9999.
How can I prevent kde-9999 from being pulled in?

Thanks

Christian
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Mon Sep 08, 2008 2:49 pm    Post subject: Reply with quote

emerging amarok 2
Code:
WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found Strigi >= 0.6.0                                                                                                                                   
-- Found Strigi: /usr/lib/libstreams.so                                                                                                                   
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found GLIB2: /usr/lib/libglib-2.0.so                                                                                                                   
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found Gdk: /usr/include/gtk-2.0                                                                                                                         
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found Ipod: /usr/include/gpod-1.0                                                                                                                       
-- Found MP4V2: /usr/lib/libmp4v2.so                                                                                                                       
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found MTP: /usr/lib/libmtp.so                                                                                                                           
-- Found CURL: /usr/lib/libcurl.so                                                                                                                         
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found LibXml2: /usr/lib/libxml2.so                                                                                                                     
-- Found OpenSSL: /usr/lib/libssl.so                                                                                                                       
-- Looking for include files HAVE_GCRYPT_H                                                                                                                 
-- Looking for include files HAVE_GCRYPT_H - found                                                                                                         
-- Libgcrypt found: /usr/lib/libgcrypt.so                                                                                                                 
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Found GObject libraries: /usr/lib/libgobject-2.0.so;/usr/lib/libgmodule-2.0.so;/usr/lib/libgthread-2.0.so;/usr/lib/libglib-2.0.so                       
-- Found GObject includes : /usr/include/glib-2.0/gobject                                                                                                 
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                                                                 
-- Could NOT find Loudmouth  (missing:  LOUDMOUTH_INCLUDE_DIR LOUDMOUTH_LIBRARIES) 



any idea??

ps. i've rebuilt a lot of packages, maybe cmake and its dependencies got f*cked.
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Tue Sep 09, 2008 3:21 pm    Post subject: Reply with quote

Code:
-- Looking for _finite                                                                                                   
-- Looking for _finite - not found                                                                                       
-- Looking for finite                                                                                                     
-- Looking for finite - found                                                                                             
-- Looking for posix_memalign                                                                                             
-- Looking for posix_memalign - found                                                                                     
-- Looking for isnan                                                                                                     
-- Looking for isnan - found                                                                                             
-- Looking for isinf                                                                                                     
-- Looking for isinf - found                                                                                             
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                               
-- Found PCRE: /usr/include                                                                                               
-- Looking for PCRE_CONFIG_UTF8                                                                                           
-- Looking for PCRE_CONFIG_UTF8 - found                                                                                   
-- Looking for PCRE_CONFIG_STACKRECURSE                                                                                   
-- Looking for PCRE_CONFIG_STACKRECURSE - found                                                                           
-- Found FAM: /usr/include                                                                                               
-- Looking for include files SYS_INOTIFY_H_FOUND                                                                         
-- Looking for include files SYS_INOTIFY_H_FOUND - found                                                                 
-- -- Building Solid HAL backend.                                                                                         
-- Found Flex: /usr/bin/flex 2.5.35                                                                                       
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                               
-- Found LibXml2: /usr/lib/libxml2.so                                                                                     
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                               
-- Found LibXslt: /usr/lib/libxslt.so                                                                                     
-- Found GSSAPI: -L/usr/lib -Wl,-rpath -Wl,/usr/lib -O2 -march=k8 -mno-tls-direct-seg-refs -mmmx -m32 $(LDFLAGS) -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv -ldl                                                                           
-- Found shared-mime-info version: 0.51                                                                                   
-- Looking for __progname                                                                                                 
-- Looking for __progname - found                                                                                         
-- Looking for __progname_full                                                                                           
-- Looking for __progname_full - found                                                                                   
-- Looking for include files HAVE_SYS_PSTAT_H                                                                             
-- Looking for include files HAVE_SYS_PSTAT_H - not found.                                                               
-- Looking for pstat                                                                                                     
-- Looking for pstat - not found                                                                                         
-- Looking for setproctitle                                                                                               
-- Looking for setproctitle - not found                                                                                   
-- Found JPEG: /usr/lib/libjpeg.so                                                                                       
-- Performing Test GIF_FOUND                                                                                             
-- Performing Test GIF_FOUND - Success                                                                                   
-- Found GIF: /usr/lib/libgif.so                                                                                         
-- Found PNG: /usr/lib/libpng.so                                                                                         
-- Found Jasper: /usr/lib/libjasper.so                                                                                   
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                               
-- Found OPENEXR: /usr/lib/libImath.so;/usr/lib/libIlmImf.so;/usr/lib/libIex.so;/usr/lib/libHalf.so;/usr/lib/libIlmThread.so                                                                                                                       
-- Found Avahi: /usr/include                                                                                             
--                                                                                                                       
-----------------------------------------------------------------------------                                             
-- The following external packages were located on your system.                                                           
-- This installation will have the extra features provided by these packages.                                             
+ BZip2                                                                                                                   
+ OpenSSL                                                                                                                 
+ Libintl                                                                                                                 
+ Soprano                                                                                                                 
+ PCRE                                                                                                                   
+ FAM                                                                                                                     
+ GSSAPI                                                                                                                 
+ JasPer                                                                                                                 
+ OpenEXR                                                                                                                 
+ Avahi                                                                                                                   
-----------------------------------------------------------------------------                                             
-- The following OPTIONAL packages could NOT be located on your system.                                                   
-- Consider installing them to enable more features from this software.                                                   
+ OpenGL: API for developing portable, interactive 2D and 3D graphics applications <http://mesa3d.sourceforge.net>       
STRONGLY RECOMMENDED: The 3D hardware acceleration available through the OpenGL API is used in applications ranging from graphics and modellers to screensavers and video players.                                                                 
+ Aspell: GNU Aspell spell checker <http://aspell.net/>                                                                   
Provides a spell checker for dozens of languages.                                                                         
+ HSpell: Hebrew spell checker <http://ivrix.org.il/projects/spell-checker/>                                             
Provides spell checking for Hebrew.                                                                                       
+ Enchant: Enchant Package <http://www.abisource.com/projects/enchant/>                                                   
Provides a way to access many spell checking backends.                                                                   
-----------------------------------------------------------------------------                                             



my system says that there is no OpenGL

I'm using compiz right now on my kde4 SVN.

every package I re-emerge configures without opengl.

why?? PLEASE I NEED SOME HELP.

WTF is going on with Gentoo????

everyday is getting worse!! :cry: :x

I'm a user for many years and this distro was never the mess that now is.
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Tue Sep 09, 2008 3:53 pm    Post subject: Reply with quote

hello.

someone was able to build kde-base/gwenview-4.1.1? build fails for me. Or to be more precisely the build seem just to skip compiling and goes back to command line.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7106
Location: Austria

PostPosted: Tue Sep 09, 2008 5:40 pm    Post subject: Reply with quote

chh wrote:
I use the kdesvn-portage overlay for some time now and I am quite happy.
Today I updated the overlay for the first time for several weeks.
Now emerge -u world wants to pull both kde-4.1.1 and kde-9999.
How can I prevent kde-9999 from being pulled in?

You want to take a look at this thread: https://forums.gentoo.org/viewtopic-t-694231-start-625.html

Why is that one still sticky when it's using non-standard ebuilds, actually?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
obsrv
Apprentice
Apprentice


Joined: 19 Aug 2005
Posts: 167
Location: Panevėžys, Lithuania

PostPosted: Tue Sep 09, 2008 6:29 pm    Post subject: Reply with quote

I get glitches when using KDE 4.1++ Desktop Effects, like random squares black and white and so on. Is there an option for xOrg to remove these glitches? runnin GTX 280 by nvidia
_________________
SKA punk
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3251
Location: Gainesville, Florida

PostPosted: Tue Sep 09, 2008 6:42 pm    Post subject: kde-svn webkit-kpart fails (c++ unquoted argument error) Reply with quote

webkit-kpart just failed with following error. Same thing happened yesterday on my other Gentoo kdesvn-portage install partition.

Code:
Checked out revision 859186.                                                                         
 *    working copy: /usr/portage/distfiles/svn-src/KDE/playground/libs/libs                           

 * Exporting parts of working copy to /var/tmp/paludis/kde-misc-webkit-kpart-scm/work/webkit-kpart
>>> Done src_unpack                                                                               
>>> Starting src_compile                                                                         
CMake Error: Error in cmake code at                                                               
/var/tmp/paludis/kde-misc-webkit-kpart-scm/work/webkit-kpart/CMakeLists.txt:5:                   
Parse error.  Expected a command name, got unquoted argument with text "${CMAKE_CURRENT_SOURCE_DIR}/webkitkde/kdenetwork/cmake/modules/".                                                                   
-- Configuring done                                                                                   

!!! ERROR in kde-misc/webkit-kpart-scm:
!!! In cmake-utils_src_configureout at line 1123
!!! Cmake failed                               

!!! Call stack:
!!!    * cmake-utils_src_configureout (/var/tmp/paludis/kde-misc-webkit-kpart-scm/temp/loadsaveenv:1123)                                                                                                   
!!!    * kde4-base_src_configure (/var/tmp/paludis/kde-misc-webkit-kpart-scm/temp/loadsaveenv:3128)   
!!!    * kde4-base_src_compile (/var/tmp/paludis/kde-misc-webkit-kpart-scm/temp/loadsaveenv:3107)     
!!!    * src_compile (/var/tmp/paludis/kde-misc-webkit-kpart-scm/temp/loadsaveenv:4346)               
!!!    * ebuild_f_compile (/usr/libexec/paludis/1/src_compile.bash:49)                               
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:463)                                           
!!!    * main (/usr/libexec/paludis/ebuild.bash:478)   


I know I need to edit the /usr/portage/distfiles/svn-src/KDE/playground/libs/libs/webkitkde/CMakeLists.txt file (or the one in /var/tmp/paludis/kde-misc-webkit-kpart-scm/work/webkit-kpart/CMakeLists.txt), but not knowing c++, I'm unsure of what the correct syntax is. Can anyone please help? I know it must be pretty simple if you know some c++. :)
Here's the complete file:
Code:
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/kdewebkit/cmake/modules
    ${CMAKE_SOURCE_DIR}/kdenetwork/cmake/modules
    ${CMAKE_SOURCE_DIR}/part/cmake/modules)

add_subdirectory(kdenetwork)
add_subdirectory(icons)
add_subdirectory(kdewebkit)
add_subdirectory(part)


OOPS! Of course CMakeLists.txt isn't c++. :oops: However I tried various edits, and none worked, so I guess I'll have to wait for an svn fix. :(
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
pmatos
Veteran
Veteran


Joined: 06 Jun 2003
Posts: 1220
Location: Cambridge, UK

PostPosted: Thu Sep 11, 2008 4:31 pm    Post subject: Reply with quote

On my 64bit machine, kdelibs 4.1.1 from kdesvn-portage overlay doesn't compile:
Code:
[ 65%] Building CXX object kioslave/http/kcookiejar/CMakeFiles/kded_kcookiejar.d
ir/kcookiewin.o
In file included from /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1
/kioslave/http/http.cpp:28:
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kio/kio/slavebase.h:3
79: warning: 'virtual void KIO::SlaveBase::read(KIO::filesize_t)' was hidden
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kioslave/http/http.h:
284: warning:   by 'ssize_t HTTPProtocol::read(void*, size_t)'
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kio/kio/slavebase.h:3
80: warning: 'virtual void KIO::SlaveBase::write(const QByteArray&)' was hidden
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kioslave/http/http.h:
277: warning:   by 'ssize_t HTTPProtocol::write(const void*, size_t)'
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kioslave/http/http.cp
p: In member function 'ssize_t HTTPProtocol::write(const void*, size_t)':
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kioslave/http/http.cp
p:1823: warning: comparison between signed and unsigned integer expressions
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kioslave/http/http.cp
p: At global scope:
/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kioslave/http/http.cp
p:5963: warning: unused parameter 'proxy'
[ 65%] Building CXX object kioslave/http/CMakeFiles/kio_http.dir/kio_http_automo
c.o
Linking CXX shared module ../../lib/kio_http.so
x86_64-pc-linux-gnu-g++: $(LDFLAGS): No such file or directory
make[2]: *** [lib/kio_http.so] Error 1
make[1]: *** [kioslave/http/CMakeFiles/kio_http.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 65%] Building CXX object kioslave/http/kcookiejar/CMakeFiles/kded_kcookiejar.d
ir/kcookieserveradaptor.o
[ 65%] Building CXX object kioslave/http/kcookiejar/CMakeFiles/kded_kcookiejar.d
ir/kded_kcookiejar_automoc.o
Linking CXX shared module ../../../lib/kded_kcookiejar.so
[ 65%] Built target kded_kcookiejar
make: *** [all] Error 2
 *
 * ERROR: kde-base/kdelibs-4.1.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2694:  Called kde4overlay-base_src_compile
 *             environment, line 1978:  Called kde4overlay-base_src_make
 *             environment, line 2011:  Called cmake-utils_src_make
 *             environment, line  670:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *  The die message:
 *   Make failed!
 *
 * If you need support, post the topmost build error, and the call stack if rele
vant.
 * A complete build log is located at '/var/tmp/portage/kde-base/kdelibs-4.1.1/t
emp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kdelibs-
4.1.1/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/layman/kdesvn-portage/'
 *



Info is as follows:
Code:
# emerge --info
WARNING: repository at /usr/local/portage is missing a repo_name entry
Portage 2.2_rc8 (default/linux/amd64/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.18-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.18-gentoo-r4-x86_64-Intel-R-_Pentium-R-_D_CPU_3.40GHz-with-glibc2.2.5
Timestamp of tree: Thu, 11 Sep 2008 03:04:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r9, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs buildsyspkg ccache distlocks fixpackages parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.blueyonder.co.uk ftp://mirrors.blueyonder.co.uk/mirrors/gentoo http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/ "
LDFLAGS="-Wl,-O1"
LINGUAS="en en_GB pt pt_PT"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kdesvn-portage /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="R X Xaw3d a52 aac aalib accessibility acl acpi ada aiglx akamaru alsa amarok amazon amd64 apache2 arts artworkextra asf aspnet aspnet2 athena auctex audiofile avahi avalon-framework avalon-logkit backtrace bashlogger bcp berkdb big-tables bjam blas blender-game bluetooth bogofilter bonobo boo branding bzip2 cairo calendar captury cdda cddb cdio cdparanoia cdr chicken cli context corba cpudetection cracklib crypt css ctype cups curl cursors cvs cvsgraph cxx daap dbus dc1394 dcraw designer-plugin device-mapper dga dhcp divx djvu dnd dri dv dvb dvd dvdr dvdread dvi dxr3 eap-tls eds effects emacs emboss emerald encode enscript eolconv escreen esd etwin evdev evo examples exif expat extra extra-algorithms extra-cardsets extraengine extrafilters extraicons extramodules extras fam fame fastcgi fat ffmpeg firefox flac fluidsynth fortran ftp galago games gd gdbm gdm gif gimp gimpprint gkrellm glade glep glib glitz glut gmail gmedia gmp gpm grammar graphics graphviz gstreamer gtk gtkhtml guile gzip-el hal haskell hddtemp hfs highlight howl htmlhandbook httpd humanities icons iconv imagemagick imlib inkjar inotify isdnlog ithreads jabber jack jadetex java javascript jfs jikes jingle jpeg jpeg2k kde kdm kerberos keyring kig-scripting kpathsea lapack latex latin1 ldb leim lesstif libcaca libffi libgda libnotify libssh2 libwww lm_sensors log4j lua lzo mad math mbox md5sum mdnsresponder-compat midi mikmod mjpeg mmx mng mod_irc mod_muc mod_pubsub mod_python moneyplex mono motif mozbranding mozdevelop mozdom mozsha1 mp3 mp4 mp4live mpeg mplayer mppe-mppc msn mudflap multilib music musicbrainz mysql mzscheme nautilus ncurses neXt network-cron networking networkmanager nls nntp nova nptl nptlonly nsplugin ntfs nvidia objc objc++ objc-gc ocaml octave ogg omega openal opengl openmp ots pam pascal pbm pcre pdf perforce perl php pike plasma plotutils plugins png pop posix postgres postscript povray ppds pppd preview-latex pstricks publishers pymacs pyste python qt-static qt3 qt3support qt4 quicktime radius rar rdesktop readline realmedia reflection regex reiser4 reiserfs replytolist ruby samba sametime sasl science scsh sdl sdl-image sensord server servletapi session skins slang slp sndfile soap solver sound speex spell spl sql sqlite sqlite3 sse sse2 ssl startup-notification stream subtitles subversion svg svnserve swig sysfs t1lib tagwriting tcl tcltk tcpd tetex tex4ht theora thesaurus threads tidy tiff timidity tk toolkit-scroll-bars tools truetype type1 unicode usb utempter v4l v4l2 vcd vim-syntax visualization vorbis wmf wmp wordperfect wxwindows x264 xcomposite xetex xface xfs xft xine xml xmlreader xmlrpc xmlwriter xorg xpm xrandr xscreensaver xsl xulrunner xv xvid yaz zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB pt pt_PT" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Anyone with same problem or ideas on how to solve it?
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Thu Sep 11, 2008 5:33 pm    Post subject: Reply with quote

just one question:

kde-------------------- paludis svn version

or

kdesvn-portage------ portage svn version

i was using paludis version untill now, but maybe portage version is better.

any comment??
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7106
Location: Austria

PostPosted: Thu Sep 11, 2008 6:01 pm    Post subject: Reply with quote

At least for me it works perfectly. SVN may be the same with both of course...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Thu Sep 11, 2008 6:35 pm    Post subject: Reply with quote

any paludis defender??
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Fri Sep 12, 2008 6:04 am    Post subject: Reply with quote

Quote:
someone was able to build kde-base/gwenview-4.1.1? build fails for me. Or to be more precisely the build seem just to skip compiling and goes back to command line.

Answering my own question. Cause of failed build was an old media-gfx/exiv2. Installed was 0.12 but needed version is 0.13. Maybe it should be added as dependency.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3251
Location: Gainesville, Florida

PostPosted: Fri Sep 12, 2008 3:36 pm    Post subject: Reply with quote

enzobelmont wrote:
Quote:
just one question:
kde-------------------- paludis svn version
or
kdesvn-portage------ portage svn version

i was using paludis version untill now, but maybe portage version is better.
any comment??

I have identical kdesvn Gentoo installs on the same box (on different partitions), one using Paludis, and the other using the kdesvn-portage overlay.

They seem exactly the same, but maybe doing a complete svn update with Paludis is a little faster (not much).
One thing I've noticed- with the Paludis install I have always had the kde "Super User Mode" available in kickoff (or classic) menu, while I've never been able to get it in kdesvn-portage. All installed packages are the same, so I can't seem to figure out why it's in one and not the other. :?

Other than that, I guess it's just a matter of whether one prefers portage or paludis. I must say that with recent added features portage has somewhat improved, in that the objections/criticisms to it that paludis users cited are IMO to some extent being addressed.

I'm using both, but never on the same Gentoo installation. When I first tried paludis (specifically because I was running kdesvn), I found trying to use it for kdesvn and portage for other stuff on the same installation was too much trouble. IMO, use one or the other- don't try and mix the two.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
chh
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2002
Posts: 131
Location: Germany

PostPosted: Fri Sep 12, 2008 6:14 pm    Post subject: Reply with quote

genstorm wrote:
chh wrote:
I use the kdesvn-portage overlay for some time now and I am quite happy.
Today I updated the overlay for the first time for several weeks.
Now emerge -u world wants to pull both kde-4.1.1 and kde-9999.
How can I prevent kde-9999 from being pulled in?

You want to take a look at this thread: https://forums.gentoo.org/viewtopic-t-694231-start-625.html

Why is that one still sticky when it's using non-standard ebuilds, actually?


Thanks Genstorm, but which of the posts should help me, I don't get it, sorry.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7106
Location: Austria

PostPosted: Fri Sep 12, 2008 6:25 pm    Post subject: Reply with quote

If you have kdesvn-portage in use, that's the right thread. Not here. ;)

Your problem isn't really specific to KDE4.1, it seems you misconfigured something in /etc/portage.

Unmask 4.1 ebuilds in package.keywords and package.unmask the correct way:
Code:
kde-base/kdelibs:4.1


Mask 9999 as a temporary fix and/or to get an idea which package(s) is/are trying to pull it in:
Code:
echo "kde-base/kde:kde-svn" >> /etc/portage/package.mask

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Fri Sep 12, 2008 6:44 pm    Post subject: Reply with quote

has anyone had issues when compiling kdelibs and plasmaworkspace recently?! it seems they don't compile anymore....
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Fri Sep 12, 2008 10:43 pm    Post subject: Reply with quote

thanks wrc1944

i'll stay with paludis for now.
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Sun Sep 14, 2008 7:20 am    Post subject: Reply with quote

Since some weeks ago, I'm not able to sync the kde4-experimental repository. Issuing the command
Code:
paludis --sync kde4-experimental

gives the following output:
Code:
Sync kde4-experimental
sync kde4-experimental> www2.mailstation.de[0: 1.0.0.0]: errno=Connection timed out
sync kde4-experimental> fatal: unable to connect a socket (Connection timed out)

Sync error:
  * In program paludis (--log-level warning --compact --dl-reinstall-scm daily --show-reasons none) --sync kde4-experimental:
  * When performing sync action from command line:
  * When executing sync task:
  * When syncing repository 'kde4-experimental':
  * When syncing repository 'kde4-experimental':
  * sync of '/var/paludis/repositories/kde4-experimental' from 'git://www2.mailstation.de/git/genkde4svn.git' failed

Sync kde4-experimental failed

Has anyone else experienced something like this? If not, it means I broke something on my system and I'll have to start looking for what it is.

Thanks
_________________
Stefano
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Sun Sep 14, 2008 10:33 am    Post subject: Reply with quote

Stefano Crocco wrote:
Since some weeks ago, I'm not able to sync the kde4-experimental repository. Issuing the command
Code:
paludis --sync kde4-experimental

gives the following output:
Code:
Sync kde4-experimental
sync kde4-experimental> www2.mailstation.de[0: 1.0.0.0]: errno=Connection timed out
sync kde4-experimental> fatal: unable to connect a socket (Connection timed out)

Sync error:
  * In program paludis (--log-level warning --compact --dl-reinstall-scm daily --show-reasons none) --sync kde4-experimental:
  * When performing sync action from command line:
  * When executing sync task:
  * When syncing repository 'kde4-experimental':
  * When syncing repository 'kde4-experimental':
  * sync of '/var/paludis/repositories/kde4-experimental' from 'git://www2.mailstation.de/git/genkde4svn.git' failed

Sync kde4-experimental failed

Has anyone else experienced something like this? If not, it means I broke something on my system and I'll have to start looking for what it is.

Thanks


to a traceroute to the server and see if you isp can effectively reach it. if so then you might want to remove the repository folder and sync again. if you have both paludis and portage pointing to the same repository directory you might have this issues some time because portage tries to reassign the permissions.
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Sun Sep 14, 2008 3:10 pm    Post subject: Reply with quote

have you tried
Code:
layman -s kde


maybe this works.
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Tue Sep 16, 2008 1:09 pm    Post subject: Reply with quote

I have problem with plasma. It compiles without problem (strigi, kdelibs, libplasma, plasma-workspace), but it Crashes each time when I am trying to run it. Anyone have similar problem (or resolution of it) with current svn?

BTW what is the exact version of Qt against which kde-svn is compiled within svn-tree?
_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Tue Sep 16, 2008 5:58 pm    Post subject: Reply with quote

phoenix_me wrote:
I have problem with plasma. It compiles without problem (strigi, kdelibs, libplasma, plasma-workspace), but it Crashes each time when I am trying to run it. Anyone have similar problem (or resolution of it) with current svn?

BTW what is the exact version of Qt against which kde-svn is compiled within svn-tree?


you can delete your .kdesvn folder in home. and check if this is the cause.
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Tue Sep 16, 2008 7:50 pm    Post subject: Reply with quote

enzobelmont wrote:
phoenix_me wrote:
I have problem with plasma. It compiles without problem (strigi, kdelibs, libplasma, plasma-workspace), but it Crashes each time when I am trying to run it. Anyone have similar problem (or resolution of it) with current svn?

BTW what is the exact version of Qt against which kde-svn is compiled within svn-tree?


you can delete your .kdesvn folder in home. and check if this is the cause.


Yesterday I did it and it doesn't help, today I have recompiled all plasma related ebuilds, deleted plasma-appletsrc from /.kde/share/config and voila - it works :P

phoenix
_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
regomodo
Guru
Guru


Joined: 25 Mar 2008
Posts: 445

PostPosted: Tue Sep 16, 2008 7:57 pm    Post subject: Reply with quote

is there a way to recompile all your kde-svn packages without doing by hand? I guess i could run a script but i have no idea what svn packages i have installed?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 24, 25, 26, 27, 28  Next
Page 25 of 28

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum